# Low Level Virtual Machine

### NAME

llvm-dis

### SYNOPSIS

llvm-dis [options] < filename>

### DESCRIPTION

The llvm-dis command is the LLVM disassembler. It takes an LLVM bytecode file and converts it into one of several human readable formats. By default, llvm-dis places its output in filename.ll, removing the .bc suffix if it exists.

### OPTIONS

- -llvm
  Instruct llvm-dis to generate LLVM assembly code in human readable format. This is the default behavior.

- -c
  Instruct llvm-dis to generate C source code.

- -f
  Force overwrite. Normally, llvm-dis will refuse to overwrite an output file that already exists. With this option, llvm-dis will overwrite the output file.

- -help
  Print a summary of command line options.

- -o <filename>
  Specify the output filename.

- -time-pdisses
  Record the amount of time needed for each pdiss and print it to standard error.

### EXIT STATUS

If llvm-dis succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

llvm-dis

LLVM Team